Subject: DBAU1200 network performacne

From: Matej Kupljen <[email-masked]>
Date: Thu, 01 Sep 2005 09:03:11 +0200

Hi

I am working on DBAu1200 platform and I am testing network
performance with the smc91111 driver from AMD and smc91x
driver, which should be preferred (right?).

Tests are done on kernel 2.6.11-rc5 with the netperf,
running netserver on target and netperf on host.
If I run netserver on host and netperf on target, I get:
------------------------------------------------------------------------
recv_response: partial response received: 0 bytes

What does that mean?

OK, the results:

1) With the smc91111 I get:
------------------------------------------------------------------------
TCP STREAM TEST from 0.0.0.0 (0.0.0.0) port 0 AF_INET to xxx.xxx.xxx.xxx
(xxx.xxx.xxx.xxx) port 0 AF_INET
Recv   Send    Send                          
Socket Socket  Message  Elapsed              
Size   Size    Size     Time     Throughput  
bytes  bytes   bytes    secs.    10^6bits/sec  

 43689  16384  16384    30.02      20.95   

2) With the smc91x I get:
------------------------------------------------------------------------
TCP STREAM TEST from 0.0.0.0 (0.0.0.0) port 0 AF_INET to xxx.xxx.xxx.xxx
(xxx.xxx.xxx.xxx) port 0 AF_INET
Recv   Send    Send                          
Socket Socket  Message  Elapsed              
Size   Size    Size     Time     Throughput  
bytes  bytes   bytes    secs.    10^6bits/sec  

 43689  16384  16384    30.01      27.61   

Is this expected trough-put?
Can somebody else test it, please?

Oh, when using smc91x I get:
eth0: link down
Sending BOOTP requests .<6>eth0: link up, 100Mbps, full-duplex, lpa
0x4DE1

So, link should be 100Mbps.

BR,
Matej